import SwiftUI

/// An image loaded from the app resources for test purposes
struct MockImage {

    let name: String

    static var images: [FileResource] {
        ["image1", "image2", "image3", "image4"]
            .map { FileResource(resourceImage: $0, type: .jpg) }
    }
}

extension MockImage: ExpressibleByStringLiteral {

    init(stringLiteral value: StringLiteralType) {
        self.name = value
    }
}
